Skip to main content
`Ctrl`+`K`

# CharacteristicRegisterAll

Registers all of the methods in the `Characteristic` package.

## Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicRegisterAll(void)

Not Collective

## See Also

TS: Scalable ODE and DAE Solvers, `CharacteristicRegisterDestroy()`

## Level

advanced

## Location

src/ts/characteristic/interface/mocregis.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages